Payment Password Confirmation API
Sends a payment password confirmation request from the merchant server to Hecto Financial. Checks whether the submitted payment password matches the registered password for the given customer ID.
API Information
POST/v1/api/auth/pwdcnf
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/auth/pwdcnf운영
https://npay.settlebank.co.kr/v1/api/auth/pwdcnfRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code. Fixed value.
Message type code. Fixed value.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number (no Korean characters).
Merchant order number (no Korean characters).
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID. AES-256 encrypted.Customer ID. AES-256 encrypted.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└pmtPwdAN(24)Alphanumeric, up to 24 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Payment password (6-digit numeric PIN set by the customer). AES-256 encrypted.Payment password (6-digit numeric PIN set by the customer). AES-256 encrypted.
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature Composition
mchtId + mchtCustId + reqDt + reqTm + pmtPwd + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
NOTE
Payment Password Not Registered
ST01: Returned when no payment password is registered for the customer.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5PaddingCustomer ID. AES-256 encrypted.kimhectoCustomer ID. AES-256 encrypted.
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytesMerchant order number.
OLD20190221001Merchant order number.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction reference number.
SFP_FRIM12345678901234567890Hecto Financial transaction reference number.
Need technical support?
Code Samples
HectoFinancial GitHub